Package org.springframework.cache.support

# Class NoOpCacheManager

java.lang.Object
org.springframework.cache.support.NoOpCacheManager

All Implemented Interfaces:
  `CacheManager`

public class NoOpCacheManager extends Object implements CacheManager
A basic, no operation `CacheManager` implementation suitable for disabling caching, typically used for backing cache declarations without an actual backing store.

This implementation will simply accept any items into the cache, not actually storing them.

Since:
  3.1
Author:
  Costin Leau, Stephane Nicoll, Juergen Hoeller
See Also:
  - `NoOpCache`

## Constructor Summary

Constructors
Constructor
Description
`NoOpCacheManager()`

## Method Summary

Modifier and Type
Method
Description
`Cache`
`getCache(String name)`
Get the cache associated with the given name.
`Collection<String>`
`getCacheNames()`
Get a collection of the cache names known by this manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoOpCacheManager

public NoOpCacheManager()

## Method Details

### getCache

@Nullable public Cache getCache(String name)
Description copied from interface: `CacheManager`
Get the cache associated with the given name.

Note that the cache may be lazily created at runtime if the native provider supports it.

Specified by:
  `getCache` in interface `CacheManager`
Parameters:
  `name` - the cache identifier (must not be `null`)
Returns:
  the associated cache, or `null` if such a cache does not exist or could be not created

### getCacheNames

public Collection<String> getCacheNames()
Description copied from interface: `CacheManager`
Get a collection of the cache names known by this manager.

Specified by:
  `getCacheNames` in interface `CacheManager`
Returns:
  the names of all caches known by the cache manager